summaryrefslogtreecommitdiffstats
path: root/math/calc/scripts/configure
diff options
context:
space:
mode:
Diffstat (limited to 'math/calc/scripts/configure')
-rw-r--r--math/calc/scripts/configure10
1 files changed, 6 insertions, 4 deletions
diff --git a/math/calc/scripts/configure b/math/calc/scripts/configure
index 1e36055..a6483fb 100644
--- a/math/calc/scripts/configure
+++ b/math/calc/scripts/configure
@@ -1,10 +1,12 @@
#!/bin/sh
-F=${WRKSRC}/Makefile
+PREFIX=${PREFIX:-/usr/local}
+
+F=$WRKSRC/Makefile
chmod +w $F || exit 1;
-echo "BINDIR= /usr/local/bin" >> $F || exit 1;
-echo "TOPDIR= /usr/local/lib" >> $F
-echo "MANDIR=/usr/local/man/man1" >> $F
+echo "BINDIR= $PREFIX/bin" >> $F || exit 1;
+echo "TOPDIR= $PREFIX/lib" >> $F
+echo "MANDIR= $PREFIX/man/man1" >> $F
echo "CCOPT= -Wall -Wno-implicit -Wno-comment" >> $F \ No newline at end of file
OpenPOWER on IntegriCloud